package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*发起考核表
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "发起考核Req")
public class FlowStartReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //0,表示按月，1表示自定义
    @ApiModelProperty(value = "0,表示按月，1表示自定义", name = "cycleType")
    private Integer cycleType;
    //开始时间
    @ApiModelProperty(value = "开始时间", name = "startTime")
    private Date startTime;
    //结束时间
    @ApiModelProperty(value = "结束时间", name = "endTime")
    private Date endTime;
    //组id
    @ApiModelProperty(value = "组id，逗号隔开", name = "groupIds")
    private String groupIds;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 0,表示按月，1表示自定义 
     * @return
     */
    public Integer getCycleType() {
        return cycleType;
    }
    /**
     * 0,表示按月，1表示自定义 
     * @param cycleType
     */
    public void setCycleType(Integer cycleType) {
        this.cycleType = cycleType;
    }

    /**
     * 开始时间 
     * @return
     */
    public Date getStartTime() {
        return startTime;
    }
    /**
     * 开始时间 
     * @param startTime
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间 
     * @return
     */
    public Date getEndTime() {
        return endTime;
    }
    /**
     * 结束时间 
     * @param endTime
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 组id 
     * @return
     */
    public String getGroupIds() {
        return groupIds;
    }
    /**
     * 组id 
     * @param groupIds
     */
    public void setGroupIds(String groupIds) {
        this.groupIds = groupIds;
    }

    @Override
    public String toString() {
        return "FlowStart{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",cycleType=" + cycleType +
                ",startTime=" + startTime +
                ",endTime=" + endTime +
                ",groupIds=" + groupIds +
                "}";
    }
}